org.eclipse.oomph.setup.jdt

## Interface JRETask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    JRETaskImpl

      public interface JRETask
      extends SetupTask

  A representation of the model object 'JRE Task'.

  The following features are supported:

  - `Version`
  - `Location`
  See Also:
    `JDTPackage.getJRETask()`
  Generated
  Model
    annotation="http://www.eclipse.org/oomph/setup/ValidTriggers triggers='STARTUP MANUAL'" annotation="http://www.eclipse.org/oomph/setup/Variable name='jre.location-1.1' type='FOLDER' label='JRE 1.1 Location' description='The location of a JDK or JRE compatible with Java 1.1.'" annotation="http://www.eclipse.org/oomph/setup/Variable name='jre.location-1.2' type='FOLDER' label='JRE 1.2 Location' description='The location of a JDK or JRE compatible with Java 1.2.'" annotation="http://www.eclipse.org/oomph/setup/Variable name='jre.location-1.3' type='FOLDER' label='JRE 1.3 Location' description='The location of a JDK or JRE compatible with Java 1.3.'" annotation="http://www.eclipse.org/oomph/setup/Variable name='jre.location-1.4' type='FOLDER' label='JRE 1.4 Location' description='The location of a JDK or JRE compatible with Java 1.4.'" annotation="http://www.eclipse.org/oomph/setup/Variable name='jre.location-1.5' type='FOLDER' label='JRE 1.5 Location' description='The location of a JDK or JRE compatible with Java 1.5.'" annotation="http://www.eclipse.org/oomph/setup/Variable name='jre.location-1.6' type='FOLDER' label='JRE 1.6 Location' description='The location of a JDK or JRE compatible with Java 1.6.'" annotation="http://www.eclipse.org/oomph/setup/Variable name='jre.location-1.7' type='FOLDER' label='JRE 1.7 Location' description='The location of a JDK or JRE compatible with Java 1.7.'" annotation="http://www.eclipse.org/oomph/setup/Variable name='jre.location-1.8' type='FOLDER' label='JRE 1.8 Location' description='The location of a JDK or JRE compatible with Java 1.8.'"

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLocation()` Returns the value of the 'Location' attribute.
    `String` | `getVersion()` Returns the value of the 'Version' attribute.
    `void` | `setLocation(String value)` Sets the value of the '`Location`' attribute.
    `void` | `setVersion(String value)` Sets the value of the '`Version`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getVersion

          String getVersion()

      Returns the value of the 'Version' attribute.

      If the meaning of the 'Version' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Version' attribute.
      See Also:
        `setVersion(String)`, `JDTPackage.getJRETask_Version()`
      Generated
      Model
        required="true"

    - #### setVersion

          void setVersion(String value)

      Sets the value of the '`Version`' attribute.
      Parameters:
        `value` - the new value of the 'Version' attribute.
      See Also:
        `getVersion()`
      Generated

    - #### getLocation

          String getLocation()

      Returns the value of the 'Location' attribute.

      If the meaning of the 'Location' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Location' attribute.
      See Also:
        `setLocation(String)`, `JDTPackage.getJRETask_Location()`
      Generated
      Model
        required="true"

    - #### setLocation

          void setLocation(String value)

      Sets the value of the '`Location`' attribute.
      Parameters:
        `value` - the new value of the 'Location' attribute.
      See Also:
        `getLocation()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html